* {
  margin: 0;
  padding: 0;
}

body {
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  text-align: center;
}

html {
  width: 65%;
  padding-top: 3em;
  margin: auto;
  background-color: #394b79;
}

.round {
  margin: 0 auto;
  color: #e62649;
  font-size: 30px;
}

.scores h2 {
  color: #9a9da6;
  font-size: 20px;
}

.scores p {
  padding: 10px;
  color: #f6f6f6;
  font-size: 38px;
}

.scores,
.hands,
.moves {
  display: flex;
  justify-content: space-around;
  align-items: center;
}

.scores {
  padding-top: 2em;
}

.moves {
  padding-top: 1em;
}

.moves div {
  border: 4px solid #f6f6f6;
  border-radius: 50%;
  padding: 12px;
  background-color: #100c0c;
  font-size: 52px;
  text-align: center;
  cursor: pointer;
  transition: all 0.2s linear;
}

.moves div p{
  user-select: none;
}

.user-clicked { 
  scale: 1.01;
  box-shadow: 0px 0px 10px #ffffff;
  pointer-events: none;
}

.disabled {
  pointer-events: none;
}

.player-hand {
    transform: rotateY(180deg);
}

table {
  border-collapse: separate;
  color: #f6f6f6;
}

th,
td {
  padding: 10px 0;
}

th {
  font-size: 30px;
}

td {
  font-size: 20px;
  font-weight: bold;
}

#row0,
#row1,
#row2 {
  visibility: hidden;
}

@keyframes shakePlayer {
  
  0% {
    transform: rotateY(180deg) translateY(0px);
  }
  25% {
    transform: rotateY(180deg) translateY(-50px) rotate(40deg);
  }
  50% {
    transform: rotateY(180deg) translateY(10px);
  }
  75% {
    transform: rotateY(180deg) translateY(-50px) rotate(50deg);
  }
  100% {
    transform: rotateY(180deg) translateY(0px);
  }
}
  
@keyframes shakeComputer {
  0% {
    transform: translateY(0px);
  }
  25% {
    transform: translateY(-50px) rotate(40deg);
  }
  50% {
    transform: translateY(10px);
  }
  75% {
    transform: translateY(-50px) rotate(50deg);
  }
  100% {
    transform: translateY(0px);
  }
    
}

.shake-player-animation {
  content: url(./assets/rock.png);
  animation: shakePlayer 0.8s ease;
}

.shake-computer-animation {
  content: url(./assets/rock.png);
  animation: shakeComputer 0.8s ease;
}